commit:     1d176e40daacb5c517fb18798fd05827e851feb4
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 13 21:05:11 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jul 13 21:07:22 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d176e40

dev-python/setuptools: Bump to 40.0.0

 dev-python/setuptools/Manifest                 |  1 +
 dev-python/setuptools/setuptools-40.0.0.ebuild | 70 ++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index e37de692d08..dfa1f198c7f 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -3,3 +3,4 @@ DIST setuptools-36.0.1.zip 711296 BLAKE2B 
c58a4efd8d3a2d574ff6ba5cd01a196fc7ad61
 DIST setuptools-36.7.2.zip 726758 BLAKE2B 
8821d3142f2149fbdea4d231052c3990fa7a14c57c421309683c6a65102ce4911850acd5d492087aa0f14a0026da732e47eb9bf971030443fc1b57f9f909aaaa
 SHA512 
746dce135dbacb65565787a20a2611388605e2371c94f0f8803e7712e515e69c270751d16a21f381bf6e8ddc0a1b39494db7d0c67bb32e6230a90c5d517e78f9
 DIST setuptools-38.5.1.zip 737995 BLAKE2B 
9772d39928c6633ca529292d646c1c8e96a5a77ed06545af950cc249922837c13722d97de702c1e104581d56e1f808ec3d077041212517f5a51b23aa2e95e734
 SHA512 
bd04186a6e73cf24440e82aee10fff09889cab53e2e2fbf178bdb1360accf4f787abf8d8421d5e0fcb41005254c091f62d714e8b317ecf68911e2eed87b9fcc4
 DIST setuptools-38.6.1.zip 738985 BLAKE2B 
73e5258b9fe2587b5662e80267e59bbc23484815d997a808c83e030e2dffa9a499fa1bed7e9e127cf3b92cb09451e70e590dd2e71135941124fe9d3383f7dc24
 SHA512 
38685b97a7c4cdfb67846f910afce5faf60ef1519ccb70acdfd2da83ddbfe1a56b5b03e0b8ce5dbc80dcec14847f716d7b23777e2be0ea7e6afd6da3b645b3ef
+DIST setuptools-40.0.0.zip 849857 BLAKE2B 
6ce687904e0c6ef6cd55557ce848583e1645b6c5cfa80b005b25c20e52fc6985be673f2a77a9f79a3a5effc8e581492429bbf73074525827f539a411c6751373
 SHA512 
c90d136831af822a7f42bbd7eca4c1f4dd73d14f87182aa1251e70610db877b26bcda8fd0a10f5db0fcd84f9098a35b79a130b3142ade9d0081a538778ae53b7

diff --git a/dev-python/setuptools/setuptools-40.0.0.ebuild 
b/dev-python/setuptools/setuptools-40.0.0.ebuild
new file mode 100644
index 00000000000..60944fe5362
--- /dev/null
+++ b/dev-python/setuptools/setuptools-40.0.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy{,3} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1
+
+if [[ ${PV} == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/pypa/setuptools.git";
+       inherit git-r3
+else
+       SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~s390 ~sh ~sparc ~x86 ~amd64-fbsd"
+fi
+
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="https://github.com/pypa/setuptools 
https://pypi.org/project/setuptools/";
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+"
+DEPEND="${RDEPEND}
+       app-arch/unzip
+       test? (
+               dev-python/pip[${PYTHON_USEDEP}]
+               >=dev-python/pytest-3.1.0[${PYTHON_USEDEP}]
+               dev-python/pytest-fixture-config[${PYTHON_USEDEP}]
+               dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
+               >=dev-python/backports-unittest-mock-1.2[${PYTHON_USEDEP}]
+               dev-python/wheel[${PYTHON_USEDEP}]
+       )
+"
+PDEPEND="
+       >=dev-python/certifi-2016.9.26[${PYTHON_USEDEP}]"
+
+# Force in-source build because build system modifies sources.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+DOCS=( {CHANGES,README}.rst 
docs/{easy_install.txt,pkg_resources.txt,setuptools.txt} )
+
+python_prepare_all() {
+       if [[ ${PV} == "9999" ]]; then
+               python_setup
+               ${EPYTHON} bootstrap.py || die
+       fi
+
+       # disable tests requiring a network connection
+       rm setuptools/tests/test_packageindex.py || die
+
+       # don't run integration tests
+       rm setuptools/tests/test_integration.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       # test_easy_install raises a SandboxViolation due to 
${HOME}/.pydistutils.cfg
+       # It tries to sandbox the test in a tempdir
+       HOME="${PWD}" py.test --verbose ${PN} || die "Tests failed under 
${EPYTHON}"
+}
+
+python_install() {
+       export DISTRIBUTE_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT=1
+       distutils-r1_python_install
+}

Reply via email to